Plugin name conflict

There's already a plugin in the WP repo named "recent comments." When I install the WPMU Dev version (1.0.2) WordPress tells me there's an update available for it, which is the 2.0 version of the one on the WP repo. As long as your version of this plugin has the same name, and a lower version number, WP will try to update it to the other plugin.